/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sikd.sikd5.sikd5ejb.session;

import java.util.List;
import javax.ejb.Remote;
import sikd.sikd5.sikd5bean.laporan.Lampiran1Apbd;

/**
 *
 * @author soraturaes
 */
@Remote
public interface LaporanSessionBeanRemote {

    public List<Lampiran1Apbd> getLaporanApbdPemda(short tahun, String kodesatker) throws Exception;

    public List<Lampiran1Apbd> getLaporanApbdNasional(short tahun) throws Exception;

    public List<Lampiran1Apbd> getLaporanPostingedLraNasional(String tanggal1, String tanggal2) throws Exception;

    public List<Lampiran1Apbd> getLaporanPostingedLraPemda(String tanggal1, String tanggal2, String kodesatker) throws Exception;

    public List<Lampiran1Apbd> getLaporanLraNasional(String tanggal1, String tanggal2) throws Exception;

    public List<Lampiran1Apbd> getLaporanLraPemda(String tanggal1, String tanggal2, String kodesatker) throws Exception;

    public List<Lampiran1Apbd> getLaporanPostingedLoNasional(String tanggal1, String tanggal2) throws Exception;

    public List<Lampiran1Apbd> getLaporanPostingedLoPemda(String tanggal1, String tanggal2, String kodesatker) throws Exception;

    public List<Lampiran1Apbd> getLaporanLoNasional(String tanggal1, String tanggal2) throws Exception;

    public List<Lampiran1Apbd> getLaporanLoPemda(String tanggal1, String tanggal2, String kodesatker) throws Exception;

    public List<Lampiran1Apbd> getLaporanPostingedNeracaNasional(String tanggal1, String tanggal2) throws Exception;

    public List<Lampiran1Apbd> getLaporanPostingedNeracaPemda(String tanggal1, String tanggal2, String kodesatker) throws Exception;

    public List<Lampiran1Apbd> getLaporanNeracaNasional(String tanggal1, String tanggal2) throws Exception;

    public List<Lampiran1Apbd> getLaporanNeracaPemda(String tanggal1, String tanggal2, String kodesatker) throws Exception;

    public List<Lampiran1Apbd> getLaporanJumlahPemdaPengirim(short tahun) throws Exception;
    
}
